ssoexample-gss
==============

Single sign on (SSO) example using Java Generic Security Services API (GSS-API)

---

This is an example of using GSS-API to authenticate a client to a server using single sign on (SSO).  It passes messages back and forth using Netty.

You need to register a spn using the following (spn is in the format of &lt;service&gt;/&lt;fully qualified hostname&gt;, service account is the account the server runs under):

	setspn -A <spn> <service account>

Configure the server using the following (spn is in the format of &lt;service>/&lt;fully qualified hostname&gt;, realm should be upper case, service account password is the password of the account the server is running under):

	config -s <spn> -r <realm> -p <service account password> -k <KDC server>

This will create the test.keytab and krb5.conf file.
	
Start the server using the following (change port if it conficts, spn is in the format of &lt;service&gt;/&lt;fully qualified hostname&gt;):

	server -n <hostname> -p 8888 -s <spn>

Start the client using the following (realm should be upper case):

	client -n <server hostname> -p 8888 -s <service> -r <realm> -k <KDC server>

