/*
 * Copyright 2012 Entero Corporation. All Rights Reserved.
 * www.entero.com
 */
package ssoexample;

import org.apache.log4j.Logger;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * A class that will query the Windows registry, this of course won't work on any other platforms but will return null in that case, any calling methods should handle a null return value
 * <p/>
 * Class modified from code available from http://www.rgagnon.com/javadetails/java-0480.html
 */
public class RegQuery {
    private static final String REGQUERY_UTIL = "reg query ";
    private static final String REGSTR_TOKEN = "REG_DWORD";

    public static String query(String key, String name) {
        try {
            String cmd = REGQUERY_UTIL + key + " /v " + name;
            Process process = Runtime.getRuntime().exec(cmd);
            BufferedReader in = new BufferedReader(new InputStreamReader(process.getInputStream()));

            StringBuilder sb = new StringBuilder();
            String line;
            while ((line = in.readLine()) != null) {
                sb.append(line);
            }

            String result = sb.toString();
            int index = result.indexOf(REGSTR_TOKEN);

            if (index != -1) {
                return result.substring(index + REGSTR_TOKEN.length()).trim();
            }
        }
        catch (Exception e) {
            Logger.getLogger(RegQuery.class).error("Login failed", e);
        }
        return null;
    }
}
